Bug 127911 - nfs init script does not check RQUOTAD correctly for stop and status
nfs init script does not check RQUOTAD correctly for stop and status
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-15 04:37 EDT by Allen Kistler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-06 21:07:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch against /etc/init.d/nfs (625 bytes, patch)
2004-07-15 04:41 EDT, Allen Kistler
no flags Details | Diff

  None (edit)
Description Allen Kistler 2004-07-15 04:37:16 EDT
Description of problem:
If quota is installed (so rpc.rquotad exists), the nfs init script
tries to stop rquotad even if RQUOTAD == no.  The result is a nasty
FAILED output during an nfs stop.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-22

How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/nfs stop
2. set RQUOTAD=no in /etc/sysconfig/nfs
3. /etc/init.d/nfs start
4. /etc/init.d/nfs stop

Actual Results:
Shutting down NFS quotas:                                  [FAILED]

Expected Results:
The init script should not try to stop rquotad.

Additional info:

I'm not sure if this is a touchy subject or not.  Bug 91789 was filed
on RH9, and bug 121651 was filed on FC1 (both by others).  Both have
been set to CURRENTVERSION, but the fixes have not been fully applied.

I will attach a unified diff against the current FC2 script.
Comment 1 Allen Kistler 2004-07-15 04:41:14 EDT
Created attachment 101935 [details]
patch against /etc/init.d/nfs
Comment 2 Allen Kistler 2004-08-06 21:07:35 EDT
The latest build in Rawhide (nfs-utils-1.0.6-30) appears not to have
the bug.  Closing.

Note You need to log in before you can comment on or make changes to this bug.